=== modified file 'NEWS'
--- NEWS	2007-06-15 07:28:49 +0000
+++ NEWS	2007-06-19 00:26:28 +0000
@@ -23,6 +23,18 @@
       running the test suite and cuts the time by about half.
       (Andrew Bennetts, Martin Pool)
 
+
+bzr 0.17  2007-06-18
+
+  BUGFIXES:
+
+    * Fix crash of commit due to wrong lookup of filesystem encoding.
+      (Colin Watson, #120647)
+
+    * Revert logging just to stderr in commit as broke unicode filenames.
+      (Aaron Bentley, Ian Clatworthy, #120930)
+
+
 bzr 0.17rc1  2007-06-12
 
   NOTES WHEN UPGRADING:

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2007-06-06 05:56:03 +0000
+++ bzrlib/commit.py	2007-06-18 02:25:13 +0000
@@ -109,15 +109,9 @@
     def _note(self, format, *args):
         """Output a message.
 
-        Messages are output by writing directly to stderr instead of
-        using bzrlib.trace.note(). The latter constantly updates the
-        log file as we go causing an unnecessary performance hit.
-
-        Subclasses may choose to override this method but need to be aware
-        of its potential impact on performance.
+        Subclasses may choose to override this method.
         """
-        bzrlib.ui.ui_factory.clear_term()
-        sys.stderr.write((format + "\n") % args)
+        note(format, *args)
 
     def snapshot_change(self, change, path):
         if change == 'unchanged':

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2007-05-15 22:40:39 +0000
+++ bzrlib/osutils.py	2007-06-18 01:56:32 +0000
@@ -1149,7 +1149,7 @@
         path-from-top might be unicode or utf8, but it is the correct path to
         pass to os functions to affect the file in question. (such as os.lstat)
     """
-    fs_encoding = sys.getfilesystemencoding().upper()
+    fs_encoding = _fs_enc.upper()
     if (sys.platform == 'win32' or
         fs_encoding not in ('UTF-8', 'US-ASCII', 'ANSI_X3.4-1968')): # ascii
         return _walkdirs_unicode_to_utf8(top, prefix=prefix)

